Bug 1476876 - [geo-rep]: RSYNC throwing internal errors
Summary: [geo-rep]: RSYNC throwing internal errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1500433 1502104 1503134
TreeView+ depends on / blocked
 
Reported: 2017-07-31 16:52 UTC by Rochelle
Modified: 2018-09-12 07:21 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1500433 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:34:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:35:54 UTC

Description Rochelle 2017-07-31 16:52:57 UTC
Description of problem:
=======================
Rsync throwing internal errors with  'rsync: get_xattr_data: lgetxattr"

[2017-07-31  09:46:14.352732] W [master(/rhs/brick3/b16):1067:process] _GMaster:  incomplete sync, retrying changelogs: CHANGELOG.1501494366
[2017-07-31  09:46:15.125684] E [resource(/rhs/brick2/b10):1044:rsync] SSH: SYNC  Error(Rsync): rsync: get_xattr_data:  lgetxattr(""/proc/3840/cwd/.gfid/00000000-0000-0000-0000-000000000001"","trusted.glusterfs.volume-mark.2d516aed-ad11-43cc-8741-32bfc7391b74",0)  failed: No data available (61)
[2017-07-31  09:46:15.126796] E [master(/rhs/brick2/b10):1046:process] _GMaster:  changelogs CHANGELOG.1501494366 could not be processed completely -  moving on...
[2017-07-31  09:46:15.132359] E [resource(/rhs/brick1/b4):1044:rsync] SSH: SYNC  Error(Rsync): rsync: get_xattr_data:  lgetxattr(""/proc/3838/cwd/.gfid/00000000-0000-0000-0000-000000000001"","trusted.glusterfs.volume-mark.2d516aed-ad11-43cc-8741-32bfc7391b74",0)  failed: No data available (61)
[2017-07-31  09:46:15.133415] E [master(/rhs/brick1/b4):1046:process] _GMaster:  changelogs CHANGELOG.1501494366 could not be processed completely -  moving on...
[2017-07-31  09:46:15.158014] W [master(/rhs/brick3/b16):1067:process] _GMaster:  incomplete sync, retrying changelogs: CHANGELOG.1501494366
[2017-07-31  09:46:16.12286] E [resource(/rhs/brick3/b16):1044:rsync] SSH: SYNC  Error(Rsync): rsync: get_xattr_data:  lgetxattr(""/proc/3839/cwd/.gfid/00000000-0000-0000-0000-000000000001"","trusted.glusterfs.volume-mark.2d516aed-ad11-43cc-8741-32bfc7391b74",0)  failed: No data available (61)
[2017-07-31  09:46:16.13156] E [master(/rhs/brick3/b16):1046:process] _GMaster:  changelogs CHANGELOG.1501494366 could not be processed completely -  moving on...
[2017-07-31 09:47:21.598099] I [master(/rhs/brick2/b10):1132:crawl] _GMaster: slave's time: (1501494365, 0)
[2017-07-31 09:47:21.616106] I [master(/rhs/brick1/b4):1132:crawl] _GMaster: slave's time: (1501494365, 0)

Version-Release number of selected component (if applicable):
==============================================================
build : glusterfs-geo-replication-3.8.4-36.el7rhgs.x86_64

Steps to Reproduce:
=====================
1.Create a 6 node master cluster and a 6-node slave cluster
2.Create a 9x2 DR master volume and slave volume
3.Create and start non-root geo-replication session
4. Mount the master and slave volume
5. Create data  on the master mount :

for i in {create,chmod,chown,chgrp,hardlink,symlink,truncate,rename}; do echo "------------------- This iteration is for fop $i -----------------" >> /root/result ; crefi --multi -n 5 -b 10 -d 10 --max=10k --min=5k --random -T 10 -t text --fop=$i /mnt/master/ 1>/dev/null 2>&1 ; sleep 10 ; echo "---Arequal Master for $i---" >> /root/result ; /root/arequal-checksum -p /mnt/master/ >> /root/result ; sleep 600 ;  echo "---Arequal Slave for $i---" >> /root/result ; /root/arequal-checksum -p /mnt/slave/ >> /root/result ; done

All fops are synced (create,chmod,chgrp,chown,hardlink,symlink,truncate,rename) 
 
How reproducible:
==============
Have seen this twice on non-root setup out of 4 trials.

Comment 5 Sunil Kumar Acharya 2017-10-10 15:08:37 UTC
Upstream patch: https://review.gluster.org/#/c/18479/

Comment 10 errata-xmlrpc 2018-09-04 06:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.